Ticket #12432: zlib-1.2.6.p0.patch

File zlib-1.2.6.p0.patch, 1.6 KB (added by ohanar, 10 years ago)

diff for the spkg, for review only

  • SPKG.txt

    # HG changeset patch
    # User R. Andrew Ohana <andrew.ohana@gmail.com>
    # Date 1333882380 25200
    # Node ID df95b0348dba2130e00d3c5f6c4fdf8b4a900a18
    # Parent  6aea833c8924eabd412255012cd05518b822dc24
    #12432: configure clang as if it were gcc
    
    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    2525
    2626 * None
    2727
     28
     29=== zlib-1.2.6.p0 (R. Andrew Ohana, 8 April 2012) ===
     30 * Trac #12432: configure clang as if it were gcc
     31
    2832=== zlib-1.2.6 (Jeroen Demeyer, 3 April 2012) ===
    2933 * Trac #12800: Upgrade to zlib-1.2.6
    3034 * Remove patches/Makefile.in.patch which is no longer needed
  • new file patches/configure.patch

    diff --git a/patches/configure.patch b/patches/configure.patch
    new file mode 100644
    - +  
     1diff --git a/configure.orig b/configure
     2index 780317c..a5ab576 100755
     3--- a/configure.orig
     4+++ b/configure
     5@@ -149,9 +149,11 @@ cflags=${CFLAGS-"-O3"}
     6 # to force the asm version use: CFLAGS="-O3 -DASMV" ./configure
     7 case "$cc" in
     8   *gcc*) gcc=1 ;;
     9+  *clang*) gcc=1 ;;
     10 esac
     11 case `$cc -v 2>&1` in
     12   *gcc*) gcc=1 ;;
     13+  *clang*) gcc=1 ;;
     14 esac
     15 
     16 show $cc -c $cflags $test.c
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    99cd src/
    1010
    1111# Apply all patches (currently none)
    12 #for patch in ../patches/*.patch; do
    13 #    if ! patch -p1 <$patch; then
    14 #        echo >&2 "Error: patch $patch failed to apply."
    15 #        exit 1
    16 #    fi
    17 #done
     12for patch in ../patches/*.patch; do
     13    if ! patch -p1 <$patch; then
     14        echo >&2 "Error: patch $patch failed to apply."
     15        exit 1
     16    fi
     17done
    1818
    1919
    2020unset AR